<template>
  <b-card no-body class="overflow-hidden mb-5" :class="{ 'panel-actu': !large, 'mx-auto': !disableMxAuto }">
    <b-row no-gutters>
      <b-col md="6" :class="{ 'order-md-2': reverse }">
        <!-- Image principale -->
        <b-card-img :src="urlFTP + 'tn/tn1-' + moduleContent.data.image1" alt="Image" class="rounded-0"></b-card-img>
      </b-col>
      <b-col md="6">
        <!-- Titre de l'actu-->
        <b-card-body :title="moduleContent.data.titre1" class="p-5" v-if="moduleContent.data.titre1">
          <b-card-text>{{ moduleContent.data.description1 | cleanHtml() | str_limit(limit) }} </b-card-text>
          <div class="text-right">
            <router-link class="card-link" :to="{ name: pageName + '-detail', params: { moduleName: moduleName, id: moduleContent.id } }"
              ><small><font-awesome-icon icon="angle-right" />En savoir plus</small></router-link
            >
          </div>
        </b-card-body>
      </b-col>
    </b-row>
  </b-card>
</template>

<script>
export default {
  props: ["moduleContent", "pageName", "listProducts", "reverse", "large", "disableMxAuto", "limit", "moduleName"],
  data() {
    return {
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  }
};
</script>
